%global momorel 1
%global unstable 1
%global qtver 4.5.2
%global qtrel 1m
%global cmakever 2.6.4
%global cmakerel 1m
%if 0%{unstable}
%global release_dir unstable
%else
%global release_dir stable
%endif
%global kdever 4.2.98

Summary:	PIM Storage Service
Name:		akonadi
Version:	1.2.0
Release:	%{momorel}m%{?dist}

Group:		System Environment/Libraries
License:	LGPLv2+
URL:		http://pim.kde.org/akonadi/
Source0:	http://download.akonadi-project.org/%{name}-%{version}.tar.bz2
NoSource:	0
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig
Requires: mysql-server

BuildRequires: cmake >= %{cmakever}-%{cmakerel}
BuildRequires: qt-devel >= %{qtver}
BuildRequires: automoc4
BuildRequires: mysql-devel
# for xsltproc
BuildRequires: libxslt
BuildRequires: shared-mime-info

%description
%{summary}.

%package devel
Summary: Developer files for %{name}
Group:   Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: qt-devel
Requires: pkgconfig
%description devel
%{summary}.

%prep
%setup -q

%build
%cmake . -DCONFIG_INSTALL_DIR=%{_sysconfdir}
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
mkdir %{buildroot}
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig
update-mime-database %{_datadir}/mime &> /dev/null || :

%postun
/sbin/ldconfig
update-mime-database %{_datadir}/mime &> /dev/null || :

%files
%defattr(-,root,root,-)
%doc AUTHORS lgpl-license
%dir %{_sysconfdir}/akonadi/
%config(noreplace) %{_sysconfdir}/akonadi/mysql-global.conf
%{_bindir}/akonadi_control
%{_bindir}/akonadictl
%{_bindir}/akonadiserver
%{_libdir}/libakonadi*.so.*
# own this completely for now, see #334681)
%{_datadir}/dbus-1/interfaces/*
%{_datadir}/dbus-1/services/org.freedesktop.Akonadi.Control.service
%{_datadir}/mime/packages/akonadi-mime.xml

%files devel
%defattr(-,root,root,-)
%{_includedir}/akonadi
%{_libdir}/cmake/Akonadi
%{_libdir}/pkgconfig/akonadi.pc
%{_libdir}/libakonadi*.so

%changelog
* Fri Jul 31 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.2.0-1m)
- update to 1.2.0

* Mon Jul 13 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.95-2m)
- Requires: mysql-server to enable starting akonadi at KDE session startup

* Thu Jul  2 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.1.95-1m)
- update to 1.1.95

* Thu Jun 11 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.1.90-1m)
- update to 1.1.90

* Tue May 26 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.1.85-4m)
- update protocol version to 12

* Sun May 17 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.1.85-3m)
- rebuilt for boost-1.39.0

* Sat May 16 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.1.85-2m)
- specify cmake version up to 2.6.4

* Mon May 11 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.1.85-1m)
- update to 1.1.85-1m

* Thu May  7 2009 YAMAZAKI Makoto <zaki@zakky.org>
- (1.1.1-2m)
- new source location

* Sun Feb 22 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.1.1-1m)
- update to 1.1.1

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0.80-2m)
- rebuild against rpm-4.6

* Sun Nov 23 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0.80-1m)
- update to 1.0.80

* Sat Aug 16 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0.0-1m)
- update to 1.0.0

* Thu Jun 26 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.82.0-1m)
- update to 0.82.0

* Tue Jun  3 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.81.0-0.20080526svn812787.2m)
- akonadi does not own %%{_datadir}/dbus-1/interfasec
- akonadi does not own %%{_datadir}/dbus-1/services

* Fri May 30 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.81.0-0.20080526svn812787.1m)
- import from Fedora devel

* Mon May 26 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 0.81.0-0.1.20080526svn812787
- update to revision 812787 from KDE SVN (to match KDE 4.1 Beta 1)
- restore builtin automoc4 for now
- update file list, require pkgconfig in -devel (.pc file now included)

* Mon May  5 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 0.80.0-2
- -devel: remove bogus Requires: pkgconfig

* Sat May  3 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 0.80.0-1
- first Fedora package
